package _VisualDVM.GlobalData.FileObject;
import Common.Database.Tables.DataSet;
import Common.Visual.DataSetControlForm;
import _VisualDVM.GlobalData.FileObject.UI.DirInfosForm;

import javax.swing.*;
public class DirInfosDataSet extends DataSet<String, DirInfo> {
    public DirInfosDataSet() {
        super(String.class, DirInfo.class);
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new DirInfosForm(this, mountPanel);
    }
}
